package com.example.mmad.testapp.entity.view;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;
import lombok.Getter;
import lombok.Setter;
import org.hibernate.annotations.Immutable;

@Entity
@Getter
@Setter
@Table(schema = "TEST2", name = "view_order")
@Immutable
public class ViewOrder {

    @Id
    private Long id;
    @Column(name = "order_name")
    private String orderName;
    @Column(name = "description")
    private String description;
    @Column(name = "user_name")
    private String userName;
    @Column(name = "user_email")
    private String userEmail;
}
